---
sort: 1
---

# main启动

## 启动集群

### 引入依赖


```markdown

    <dependency>
      <groupId>io.github.quickmsg</groupId>
      <artifactId>smqtt-core</artifactId>
      <version>1.0.6</version>
    </dependency>
    <dependency>
      <groupId>io.github.quickmsg</groupId>
      <artifactId>smqtt-registry-scube</artifactId>
      <version>1.0.6</version>
    </dependency>

```




### 示例如下:

1. cluster-node1
    
    ```
           Bootstrap bootstrap = Bootstrap.builder()
                    .port(8555)
                    .websocketPort(8999)
                    .options(channelOptionMap -> {})//netty options设置
                    .childOptions(channelOptionMap ->{}) //netty childOptions设置
                    .highWaterMark(1000000)
                    .lowWaterMark(1000)
                    .ssl(false)
                    .sslContext(new SslContext("crt","key"))
                    .isWebsocket(true)
                    .wiretap(true)
                    .httpOptions(Bootstrap.HttpOptions.builder().ssl(false).httpPort(62212).accessLog(true).build())
                    .clusterConfig(
                            ClusterConfig.builder()
                                    .clustered(true)
                                    .port(7773)
                                    .nodeName("node-2")
                                    .clusterUrl("127.0.0.1:7771,127.0.0.1:7772")
                                    .build())
                    .build()
                    .start().block();
    ```
2. cluster-node2

    ```
     Bootstrap bootstrap = Bootstrap.builder()
                    .port(8556)
                    .options(channelOptionMap -> {})//netty options设置
                    .childOptions(channelOptionMap ->{}) //netty childOptions设置
                    .highWaterMark(1000000)
                    .lowWaterMark(1000)
                    .ssl(false)
                    .wiretap(true)
                    .clusterConfig(
                            ClusterConfig.builder()
                            .clustered(true)
                                    .port(7772)
                                    .nodeName("node-3")
                                    .clusterUrl("127.0.0.1:7771,127.0.0.1:7773")
                                    .build())
                    .build()
                    .start().block();
    ```
3. cluster-node3

    ```
     Bootstrap bootstrap = Bootstrap.builder()
                    .port(8551)
                    .options(channelOptionMap -> {})//netty options设置
                    .childOptions(channelOptionMap ->{}) //netty childOptions设置
                    .highWaterMark(1000000)
                    .lowWaterMark(1000)
                    .ssl(false)
                    .wiretap(true)
                    .clusterConfig(
                            ClusterConfig.builder()
                            .clustered(true)
                                    .port(7771)
                                    .nodeName("node-4")
                                    .clusterUrl("127.0.0.1:7772,127.0.0.1:7773")
                                    .build())
                    .build()
                    .start().block();
    ```

### 启动参数详解

ClusterConfig参数：

|  参数   | 说明  | 必传  |
|  ----  | ----  |----  |
| clustered  | 开启集群 |是 |
| port  | 集群通信端口 |是 |
| nodeName  | 节点名称唯一 |是 |
| clusterUrl  | 集群节点url |是|